import 'twin.macro'
import { css as cssImport } from '@emotion/react'
// @ts-ignore
import { CSSInterpolation } from '@emotion/serialize'
import styledImport from '@emotion/styled'

declare module 'twin.macro' {
    // The styled and css imports
    const styled: typeof styledImport
    const css: typeof cssImport
}

declare module 'react' {
    // The css prop
    interface HTMLAttributes<T> extends DOMAttributes<T> {
        css?: CSSInterpolation
    }
    // The inline svg css prop
    // @ts-ignore
    interface SVGProps<T> extends SVGProps<SVGSVGElement> {
        css?: CSSInterpolation
    }
}